apiVersion: helm.cattle.io/v1
kind: HelmChartConfig
metadata:
  name: cilium
  namespace: kube-system
spec:
  repo: https://helm.cilium.io/
  chart: cilium
  targetNamespace: kube-system
  valuesContent: |-
    operator:
      replicas: 1
    k8sServiceHost: "{{ k3s_node_ip }}"
    k8sServicePort: 6443
    k8sNetworkPolicy.enabled: true
    kubeProxyReplacement: strict
    ipam:
      operator:
        clusterPoolIPv4PodCIDRList: 10.42.0.0/16
    bpf:
      masquerade: true
    policyEnforcementMode: never
    hostFirewall:
      enabled: true
    gatewayAPI:
      enabled: true
    hubble:
      relay:
        enabled: true
      ui:
        enabled: true
